-- Excluded Weapons:
-- Locomotive 12G
-- GSPS 12G
-- Commando 101
-- MA-17 Flamethrower
-- Peacekeeper
-- Argos III
-- Basilisk 3V
-- G2 Sniper Rifle
local old_init = WeaponTweakData.init

function WeaponTweakData:init(tweak_data)
    old_init(self, tweak_data)
	
-- Pistol (Secondary)
--self.usp.timers.reload_not_empty = 1.47			-- 1.47
self.usp.timers.reload_empty = 2.1					-- 2.20

--self.g22c.timers.reload_not_empty = 1.47			-- 1.47
self.g22c.timers.reload_empty = 2.1					-- 2.20

self.lemming.timers.reload_not_empty = 1.42			-- 1.50
self.lemming.timers.reload_empty = 2.05				-- 2.15

self.g26.timers.reload_not_empty = 1.46				-- 1.47 
self.g26.timers.reload_empty = 2.11					-- 2.12

self.glock_17.timers.reload_not_empty = 1.46		-- 1.47
self.glock_17.timers.reload_empty = 2.11			-- 2.12

--self.colt_1911.timers.reload_not_empty = 1.47		-- 1.47
self.colt_1911.timers.reload_empty = 2.09			-- 2.12

self.b92fs.timers.reload_not_empty = 1.46			-- 1.47
self.b92fs.timers.reload_empty = 2.11				-- 2.12

self.new_raging_bull.timers.reload_not_empty = 2	-- 2.25
self.new_raging_bull.timers.reload_empty = self.new_raging_bull.timers.reload_not_empty

self.pl14.timers.reload_not_empty = 1.46			-- 1.47
self.pl14.timers.reload_empty = 2.06				-- 2.12

self.breech.timers.reload_not_empty = 1.29			-- 1.33
self.breech.timers.reload_empty = 2.05				-- 2.10

self.chinchilla.timers.reload_not_empty = 2.94		-- 2.97
self.chinchilla.timers.reload_empty = self.chinchilla.timers.reload_not_empty

self.shrew.timers.reload_not_empty = 1.46			-- 1.47
self.shrew.timers.reload_empty = 2.11				-- 2.12

self.glock_18c.timers.reload_not_empty = 1.46		-- 1.47
self.glock_18c.timers.reload_empty = 2.11			-- 2.12

self.deagle.timers.reload_not_empty = 1.84			-- 1.85
self.deagle.timers.reload_empty = 3.03				-- 3.10

--self.ppk.timers.reload_not_empty = 1.55			-- 1.55
self.ppk.timers.reload_empty = 2.1					-- 2.12

self.p226.timers.reload_not_empty = 1.46			-- 1.47
self.p226.timers.reload_empty = 2.11				-- 2.12

self.c96.timers.reload_not_empty = 3.7				-- 4.00
self.c96.timers.reload_empty = 4.00					-- 4.17 (4.15)

self.hs2000.timers.reload_not_empty = 1.46			-- 1.47
self.hs2000.timers.reload_empty = 2.11				-- 2.12

self.mateba.timers.reload_not_empty = 3.54			-- 3.60
self.mateba.timers.reload_empty = self.mateba.timers.reload_not_empty

self.sparrow.timers.reload_not_empty = 1.46			-- 1.47
self.sparrow.timers.reload_empty = 2.08				-- 2.12

self.packrat.timers.reload_not_empty = 1.48			-- 1.52
self.packrat.timers.reload_empty = 2.22				-- 2.32 

self.legacy.timers.reload_not_empty = 1.48			-- 1.50
self.legacy.timers.reload_empty = 2.22				-- 2.15

--self.beer.timers.reload_not_empty = 1.47			-- 1.47
self.beer.timers.reload_empty = 2.04				-- 2.12

--self.czech.timers.reload_not_empty = 1.47			-- 1.47
self.czech.timers.reload_empty = 2.04				-- 2.12

self.stech.timers.reload_not_empty = 1.9			-- 2.00
self.stech.timers.reload_empty = 2.61 				-- 2.70

self.holt.timers.reload_not_empty = 1.42			-- 1.50
self.holt.timers.reload_empty = 2.05				-- 2.15

self.model3.timers.reload_not_empty = 2.20			-- 2.50
self.model3.timers.reload_empty = self.model3.timers.reload_not_empty

self.m1911.timers.reload_not_empty = 1.46			-- 1.47
self.m1911.timers.reload_empty = 2.08				-- 2.12

self.type54.timers.reload_not_empty = 1.42			-- 1.50
self.type54.timers.reload_empty = 2.05				-- 2.15 
self.type54_underbarrel.timers.reload_empty = 1.53	-- 2.15 -- Note: "typ54" and "lemming" share the same animation

self.rsh12.timers.reload_not_empty = 2				-- 2.25	-- Note: "rsh12" and "new_raging_bull" share the same animation
self.rsh12.timers.reload_empty = self.rsh12.timers.reload_not_empty

self.maxim9.timers.reload_not_empty = 1.48			-- 1.50	-- Note: "maxim9" and "packrat" share the same animation
self.maxim9.timers.reload_empty = 2.22				-- 2.15

self.korth.timers.reload_not_empty = 2.35			-- 2.75
self.korth.timers.reload_empty = self.korth.timers.reload_not_empty

-- Submachine Gun (Secondary)
self.m1928.timers.reload_not_empty = 3.25			-- 3.50
self.m1928.timers.reload_empty = 4.00				-- 4.50

self.mac10.timers.reload_not_empty = 1.5			-- 2.00
self.mac10.timers.reload_empty = 2.3				-- 2.70

self.new_mp5.timers.reload_not_empty = 2.38			-- 2.40
self.new_mp5.timers.reload_empty = 3.51				-- 3.60

--self.mp9.timers.reload_not_empty = 1.51			-- 1.51
self.mp9.timers.reload_empty = 2.43					-- 2.48

self.olympic.timers.reload_not_empty = 2.08			-- 2.16
self.olympic.timers.reload_empty = 3.2				-- 3.23

self.erma.timers.reload_not_empty = 1.86			-- 1.90
self.erma.timers.reload_empty = 3.04				-- 3.05

self.sr2.timers.reload_not_empty = 1.97				-- 2.07
self.sr2.timers.reload_empty = 3.9					-- 4.00

self.akmsu.timers.reload_not_empty = 1.95			-- 2.15
self.akmsu.timers.reload_empty = 3.6				-- 3.90

--self.p90.timers.reload_not_empty = 2.55			-- 2.55
self.p90.timers.reload_empty = 3.34					-- 3.40
 
self.m45.timers.reload_not_empty = 2.6 				-- 2.85
self.m45.timers.reload_empty = 3.7					-- 3.90

self.mp7.timers.reload_not_empty = 1.75				-- 1.96
self.mp7.timers.reload_empty = 2.3					-- 2.45

self.scorpion.timers.reload_not_empty = 1.89		-- 2.00
self.scorpion.timers.reload_empty = 2.68			-- 2.75

self.tec9.timers.reload_not_empty = 2.21			-- 2.31
self.tec9.timers.reload_empty = 3.23				-- 3.28

self.uzi.timers.reload_not_empty = 1.95				-- 2.45
self.uzi.timers.reload_empty = 3.42					-- 3.52

self.sterling.timers.reload_not_empty = 2.26		-- 2.30
--self.sterling.timers.reload_empty = 3.30			-- 3.30

self.cobray.timers.reload_not_empty = 1.9			-- 2.05
self.cobray.timers.reload_empty = 3.75				-- 4.35

self.polymer.timers.reload_not_empty = 1.96			-- 2.00
self.polymer.timers.reload_empty = 2.46				-- 2.50 

self.baka.timers.reload_not_empty = 1.82			-- 1.85
self.baka.timers.reload_empty = 2.59				-- 2.60

self.schakal.timers.reload_not_empty = 2.27			-- 2.36
self.schakal.timers.reload_empty = 3.52				-- 3.62

self.hajk.timers.reload_not_empty = 1.85			-- 2.00
self.hajk.timers.reload_empty = 3.2					-- 3.50

self.coal.timers.reload_not_empty = 2.75			-- 3.25
self.coal.timers.reload_empty = 4.15				-- 4.25

self.shepheard.timers.reload_not_empty = 2.04		-- 2.11
self.shepheard.timers.reload_empty = 2.55			-- 2.85

self.vityaz.timers.reload_not_empty = 1.98			-- 2.05
self.vityaz.timers.reload_empty = 3.03				-- 3.08 -- Note: "ak5" and "vityaz" share the same animation

self.pm9.timers.reload_not_empty = 1.82				-- 1.85
self.pm9.timers.reload_empty = 2.59					-- 2.60 -- Note: "baka" and "pm9" share the same animation

self.fmg9.timers.reload_not_empty = 1.91			-- 1.51 (2.3)
--self.fmg9.timers.reload_empty = 2.48				-- 2.48 (3.8)

-- Special (Secondary)
self.slap.timers.reload_not_empty = 2.4				-- 2.50
self.slap.timers.reload_empty = self.slap.timers.reload_not_empty

self.rpg7.timers.reload_not_empty = 3.16			-- 4.70
self.rpg7.timers.reload_empty = self.rpg7.timers.reload_not_empty

self.hunter.timers.reload_not_empty = 1.15			-- 1.20
self.hunter.timers.reload_empty = self.hunter.timers.reload_not_empty

self.china.timers.shotgun_reload_first_shell_offset = 0.5

self.arbiter.timers.reload_not_empty = 2.94			-- 3.34
self.arbiter.timers.reload_empty = 4.30				-- 4.50

self.saw_secondary.timers.reload_not_empty = 3.55	-- 3.75
self.saw_secondary.timers.reload_empty = self.saw_secondary.timers.reload_not_empty

-- Automatic/Pump-Action Shotgun (Secondary)
self.judge.timers.reload_not_empty = 2				-- 2.25
self.judge.timers.reload_empty = self.judge.timers.reload_not_empty

self.basset.timers.reload_not_empty = 2.07			-- 2.16
self.basset.timers.reload_empty = 2.85				-- 2.90

self.striker.timers.shotgun_reload_first_shell_offset = 0.4

self.rota.timers.reload_not_empty = 2.46			-- 2.55
self.rota.timers.reload_empty = self.rota.timers.reload_not_empty

self.coach.timers.reload_not_empty = 1.60			-- 2.20
self.coach.timers.reload_empty = 1.60				-- 2.20

-- Sniper Rifle (Secondary)
self.scout.timers.reload_not_empty = 2.90			-- 3.40
self.scout.timers.reload_empty = 5.10				-- 5.30

--self.victor.timers.reload_not_empty = 2.50		-- 2.50
self.victor.timers.reload_empty = 2.40				-- 3.00

--self.contender.timers.reload_not_empty = 0.89		-- 2.78
--self.contender.timers.reload_empty = self.contender.timers.reload_not_empty
end